function vexalarm.options.rw.settings.panel()
	return {
		type = "group",
		order= 5,
		args = {
			grpallow = {
				name = "General Settings",
				order=1, type ="group", dialogInline = true,
				args = {
					activate = {
						name = "Activate Raid Warnings",
						order=10, type = "toggle", width="double",
						set = function(self,key) vexalarm_SV_rw["activate"]=key vexalarm.initialize.core(true) end,
						get = function() return vexalarm_SV_rw["activate"] end,
						},
					},
				},
			frame_space1 = {name ="\n", type = "description", order=2},
			
			settings = {
				name = " ",
				order=3, type ="group", dialogInline = true,
				args = {
					chattype = {
						name = "Output channel",
						order=1, type = "select", style = "dropdown",
						values = {
							["CHANNEL"]="Custom Channel",
							["GUILD"]="Guild chat",
							["OFFICER"]="Officer chat",
							["PARTY"]="Party chat",
							["RAID"]="Raid chat",
							["RAID_WARNING"]="Raid Warning",
							["SAY"]="Say",
							["YELL"]="Yell"},
						set = function(self,key) vexalarm_SV_rw["warning"]["channel"]=key vexalarm.initialize.core(true) end,
						get = function() return vexalarm_SV_rw["warning"]["channel"] end,
						},
					channel = {
						name = "Number of the custom channel",
						order=2, type = "input", multiline = false,
						disabled = vexalarm_SV_rw["warning"]["channel"]~="CHANNEL",
						set = function(self,key) vexalarm_SV_rw["warning"]["customChannel"]=key vexalarm.initialize.core(true) end,
						get = function() return vexalarm_SV_rw["warning"]["customChannel"] end,
						},
					channeloverride = {
						name = "Override previous settings and post a raid-warning when in raid.",
						order=11, type = "toggle", width="full", desc="Always post as a 'Raid Warning' instead of the previous settings to the output channel when in a raid",
						set = function(self,key) vexalarm_SV_rw["warning"]["rwInRaid"]=key vexalarm.initialize.core(true) end,
						get = function() return vexalarm_SV_rw["warning"]["rwInRaid"] end,
						},
					frame_space2 = {name ="\n", type = "description", order=20},	
					spelllink = {
						name = "Post spells as a plain text instead of a spell-link",
						order=21, type = "toggle", width="full",
						set = function(self,key) vexalarm_SV_rw["forbidspelllink"]=key vexalarm.initialize.core(true) end,
						get = function() return vexalarm_SV_rw["forbidspelllink"] end,
						},
					spelllinkrw = {
						name = "Only post a plain text instead of a spell-link when posting a raid warning",
						order=22, type = "toggle", width="full",
						disabled = vexalarm_SV_rw["forbidspelllink"],
						set = function(self,key) vexalarm_SV_rw["forbidSpelllink"]=key vexalarm.initialize.core(true) end,
						get = function() return vexalarm_SV_rw["forbidSpelllink"] end,
						},
					frame_space3 = {name ="\n", type = "description", order=30},
					activeOnly = {
						name = "Only show buff gains and spell casts (don't post faded buffs)",
						order=31, type = "toggle", width="full",
						set = function(self,key) vexalarm_SV_rw["hideBuffFades"] = key vexalarm.initialize.core(true) end,
						get = function() return vexalarm_SV_rw["hideBuffFades"] end,
						},
					infightOnly = {
						name = "Only show infight",
						order=32, type = "toggle", width="full",
						set = function(self,key) vexalarm_SV_rw["activateOnlyInfight"] = key vexalarm.initialize.core(true) end,
						get = function() return vexalarm_SV_rw["activateOnlyInfight"] end,
						},
					-- frame_space4 = {name ="\n", type = "description", order=40},
					-- sp = {
						-- name = "Use a spell-profile for spellchecks, instead of the current settings",
						-- order=41, type = "toggle", width="full",
						-- set = function(self,key) vexalarm_SV_rw["spellsToCheck"]["useSpellProfile"]=key vexalarm.initialize.core(true) end,
						-- get = function() return vexalarm_SV_rw["spellsToCheck"]["useSpellProfile"] end,
						-- },
					-- rwprofile = {
						-- name = "Existing spell-profiles",
						-- order=42, type = "select", style = "dropdown", width="double",
						-- values = vexalarm.options.spells.profiles.getList(false, true),
						-- disabled = not(vexalarm_SV_rw["spellsToCheck"]["useSpellProfile"]),
						-- set = function(self,key) vexalarm_SV_rw["spellsToCheck"]["spellProfile"] = key vexalarm.initialize.core(true) end,
						-- get = function() return vexalarm_SV_rw["spellsToCheck"]["spellProfile"] end,
						-- },
					},
				},
			}
		}
end